

if (CustomClock ~= nil) then return; end




-- This localization file is the fallback in case no others load, so the following line should remain commented out.

--if (GetLocale() ~= "enUS") then return; end




CustomClock = {};





CustomClock.LOCALIZATION = {
	SLASH_PATTERN = ("pattern");
	SLASH_COLOR = ("color");
	SLASH_FONTPATH = ("font");
	SLASH_FONTPATH_LIST = ("list");
	SLASH_SIZE = ("size");
	SLASH_WIDTH = ("width");
	SLASH_HEIGHT = ("height");
	
	PATTERN_HELP_1 = ("CustomClock Pattern Help: Type \"/cucl pattern <new pattern>\" where <new pattern> is any combination of the following characters (with respect to case) in an order of your choosing, plus any other characters you desire:");
	PATTERN_HELP_2 = ("%a - Abbreviated weekday name (Sun, Mon, etcetera).");
	PATTERN_HELP_3 = ("%A - Full weekday name (Sunday, Monday, etcetera).");
	PATTERN_HELP_4 = ("%b - Abbreviated month name (Jan, Feb, etcetera).");
	PATTERN_HELP_5 = ("%B - Full month name (January, February, etcetera).");
	PATTERN_HELP_6 = ("%c - Full date and time.");
	PATTERN_HELP_7 = ("%d - Day of the month as two-digit decimal integer (01-31).");
	PATTERN_HELP_8 = ("%H - Hour as two-digit 24-hour clock decimal integer (00-23).");
	PATTERN_HELP_9 = ("%I - Hour as two-digit 12-hour clock decimal integer (01-12).");
	PATTERN_HELP_10 = ("%j - Day of the year as three-digit decimal integer (001-366).");
	PATTERN_HELP_11 = ("%m - Month as a two-digit decimal integer (01-12).");
	PATTERN_HELP_12 = ("%M - Minute as a two-digit decimal integer (00-59).");
	PATTERN_HELP_13 = ("%p - AM or PM.");
	PATTERN_HELP_14 = ("%S - Second as a two-digit decimal integer (00-59).");
	PATTERN_HELP_15 = ("%U - Number of week in the year as two-digit decimal integer (00-52), with Sunday as the first day.");
	PATTERN_HELP_16 = ("%w - Weekday as one-digit decimal integer (0-6) with Sunday being 0.");
	PATTERN_HELP_17 = ("%W - Number of week in the year as two-digit decimal integer (00-52), with Monday as the first day.");
	PATTERN_HELP_18 = ("%x - Full date (no time).");
	PATTERN_HELP_19 = ("%X - Full time (no date).");
	PATTERN_HELP_20 = ("%y - Year as two-digit decimal number (00-99).");
	PATTERN_HELP_21 = ("%Y - Year as four-digit decimal number.");
	PATTERN_HELP_22 = ("%Z - Time zone name.");
	PATTERN_HELP_23 = ("As a special case, if an exclamation point (!) is the first character in the pattern, the time will be calculated in Coordinated Universal Time.");
	CURRENT_PATTERN = ("Your current timestamp pattern is \"%s\".");

	NEW_PATTERN = ("CustomClock: The new pattern for the display is \"%s\".");
	INVALID_PATTERN = ("CustomClock: The input pattern did not produce usable results from the date function. Try another pattern.");
	
	NEW_COLORS = ("CustomClock: The display text's color has been set to %d%% red, %d%% green, %d%% blue.");
	INVALID_COLORS = ("CustomClock: The input color sequence was found to be invalid. Either you did not enter all three values, or one of the values was below 0 or above 100.");
	
	NEW_FONT = ("CustomClock: The font of the display text has been set to file \"%s\".");
	INVALID_FONT = ("CustomClock: The input font path was found to be invalid. Either the file at that path was not a valid font file, or there was no file at that path at all. Type \"/cucl font list\" to view a list of all valid font files in the default UI.");
	FONT_LIST = ("CustomClock: Listing of all valid font files in the default UI (case sensitive): \"Fonts\\FRIZQT__.ttf\", \"Fonts\\ARIALN.ttf\", \"Fonts\\skurri.ttf\", and \"Fonts\\MORPHEUS.ttf\".");
	
	NEW_SIZE = ("CustomClock: The size of the display text has been set to %d.");
	INVALID_SIZE = ("CustomClock: The input font size was found to be invalid. The size was either not present, or not a positive integer number.");
	
	NEW_WIDTH = ("CustomClock: The width of the display frame has been set to %d pixels.");
	INVALID_WIDTH = ("CustomClock: The input width was invalid. The width was either not present, or not a positive integer number.");
	
	NEW_HEIGHT = ("CustomClock: The height of the display frame has been set to %d pixels.");
	INVALID_HEIGHT = ("CustomClock: The input height was invalid. The height was either not present, or not a positive integer number.");
	
	COMMANDS_HELP_1 = ("CustomClock Commands:");
	COMMANDS_HELP_2 = ("\"pattern <new pattern>\" - Set the display pattern to <new pattern>. To see the syntax for doing so, type only \"/cucl pattern\". The default pattern is \"%I:%M:%S %p\".");
	COMMANDS_HELP_3 = ("\"color <red percent> <green percent> <blue percent>\" - Set the red, green, and blue value of the display text to the respective percentages. Default for red is 100, default for green is 82, default for blue is 0.");
	COMMANDS_HELP_4 = ("\"font <font path>\" - Set the font of the display text to the font file found at <font path>, including file type extension. To view a list of all available font files in the default UI, type \"/cucl font list\". Note that you can use the fonts of other addons by specifying the correct file path.");
	COMMANDS_HELP_5 = ("\"size <font size>\" - Set the size of the display text to <font size>. Default is 12.");
	COMMANDS_HELP_6 = ("\"width <frame width>\" - Set the width of the clock frame to <frame width> pixels wide. Default is 100.");
	COMMANDS_HELP_7 = ("\"height <frame height>\" - Set the height of the clock frame to <frame height> pixels high. Default is 24.");
};

